import { world } from "@minecraft/server"
import { ActionFormData } from "@minecraft/server-ui"

const gui = new ActionFormData()
gui.title('§dWorld Gui§r')
gui.body('\n§dMain Menu§r\n§r')
gui.button('§d§lProfile§r\n§7Click to View§r', 'textures/ui/chest.png')
gui.button('§l§cClose§r\n§7Click to Exit§r', 'textures/ui/close.png')

world.events.tick.subscribe((data => {
  if (data.currentTick % 5 !== 0) return;
    for (let player of world.getPlayers()) {
    if (player.hasTag("openMainGUI")) {
    player.removeTag("openMainGUI")
    gui.show(player).then(result => {
        if (result.isCanceled) console.warn('§cGUI was canceled§r')
        if (result.selection === 0) player.runCommandAsync('say This can be changed with the pack! Go to scripts > menu.js and you can edit the comannd there.')
        if (result.selection === 1) player.runCommandAsync('tellraw @s {"rawtext":[{"text":"§dGui §5closed§r"}]}')
        }
      )}
    }
}))